## org.hibernate.id
Interface PostInsertIdentifierGenerator

All Superinterfaces:
  IdentifierGenerator

All Known Implementing Classes:
  AbstractPostInsertGenerator, IdentityGenerator, SelectGenerator, SequenceIdentityGenerator

    public interface PostInsertIdentifierGenerator

extends IdentifierGenerator

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Method Summary
`InsertGeneratedIdentifierDelegate` `getInsertGeneratedIdentifierDelegate(PostInsertIdentityPersister persister, Dialect dialect, boolean isGetGeneratedKeysEnabled)`

Methods inherited from interface org.hibernate.id.IdentifierGenerator
`generate`

Method Detail

### getInsertGeneratedIdentifierDelegate

    InsertGeneratedIdentifierDelegate getInsertGeneratedIdentifierDelegate(PostInsertIdentityPersister persister,
                                                                           Dialect dialect,
                                                                           boolean isGetGeneratedKeysEnabled)
                                                                           throws HibernateException

  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.